Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.testing.execution
Class TestClassVisitor

    java.lang.Object
      org.objectweb.asm.commons.EmptyVisitor
          org.gradle.api.testing.execution.TestClassVisitor

All Implemented Interfaces:
  org.objectweb.asm.AnnotationVisitor, org.objectweb.asm.ClassVisitor, org.objectweb.asm.FieldVisitor, org.objectweb.asm.MethodVisitor

    public abstract class TestClassVisitor

extends org.objectweb.asm.commons.EmptyVisitor

Field Summary
`protected TestFrameworkDetector` | `detector`

Constructor Summary
`protected` | `TestClassVisitor(TestFrameworkDetector detector)`

Method Summary
`abstract java.lang.String` | `getClassName()`
`abstract java.lang.String` | `getSuperClassName()`
`abstract boolean` | `isAbstract()`
`abstract boolean` | `isTest()`

Methods inherited from class org.objectweb.asm.commons.EmptyVisitor
`visit, visit, visitAnnotation, visitAnnotation, visitAnnotationDefault, visitArray, visitAttribute, visitCode, visitEnd, visitEnum, visitField, visitFieldInsn, visitIincInsn, visitInnerClass, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethod, visitMethodInsn, visitMultiANewArrayInsn, visitOuterClass, visitParameterAnnotation, visitSource, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### detector

    protected final TestFrameworkDetector detector

Constructor Detail

### TestClassVisitor

    protected TestClassVisitor(TestFrameworkDetector detector)

Method Detail

### getClassName

    public abstract java.lang.String getClassName()

### isTest

    public abstract boolean isTest()

### isAbstract

    public abstract boolean isAbstract()

### getSuperClassName

    public abstract java.lang.String getSuperClassName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD